Bug 576689 - libguestfs doesn't support minix filesystem
libguestfs doesn't support minix filesystem
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 16:39 EDT by Richard W.M. Jones
Modified: 2010-04-30 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-24 17:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-03-24 16:39:03 EDT
Description of problem:

Download http://archive.download.redhat.com/pub/redhat/linux/1.0/en/os/i386/kernels/mcdboot.img.gz
and try to access it in guestfish:

><fs> mount /dev/vda /
libguestfs: error: mount: /dev/vda on /: mount: unknown filesystem type 'minix'


Version-Release number of selected component (if applicable):

1.0.87
Comment 1 Richard W.M. Jones 2010-03-24 16:48:17 EDT
Adding 'minix.ko' to the module whitelist does the trick.
Comment 3 Fedora Update System 2010-04-09 10:10:35 EDT
libguestfs-1.2.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.1-1.fc13
Comment 4 Fedora Update System 2010-04-13 03:44:09 EDT
libguestfs-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.2-1.fc13
Comment 5 Fedora Update System 2010-04-30 19:47:17 EDT
libguestfs-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.